%{?nodejs_find_provides_and_requires}

%global packagename proxy-addr
%global enable_tests 1

Name:		nodejs-proxy-addr
Version:	2.0.1
Release:	1%{?dist}
Summary:	Determine address of proxied request

License:	MIT
URL:		https://github.com/jshttp/proxy-addr
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(forwarded)
BuildRequires:	npm(ipaddr.js)
%endif

%description
Determine address of proxied request


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep ipaddr.js '^1.0.3'


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha -R spec --bail --check-leaks test/
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Sat Sep 16 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.1-1
- Update to upstream 2.0.1 release

* Thu Nov 05 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.8-2
- Relax dependency version for npm(ipaddr.js)

* Thu Nov  5 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.8-1
- Initial packaging
